module Debate.Gibberish.Domains.PhilOfLanguage exposing (..)

import Debate.Gibberish.Types exposing (..)


philOfLanguageGibberish : Gibberish
philOfLanguageGibberish =
    let
        name =
            "Philosophy of Language"
    in
    { gibberishTitle = name
    , gibberishImage = formatName name
    , gibberishTerms =
        [ { term = "Direct Reference"
          , strength = 2
          , explanation = SpecificExplanation "I don't understand the term usage as it's been used and unpacked in conversation. I don't understand what it means for a word to \"point to\" an object, and I also don't understand what semantic advantage or distinction this has to a mundane, ostensibly non-direct reference to an object in speech."
          }
        , { term = "Semantic Primitive"
          , strength = 2
          , explanation = SpecificExplanation "I typically don't really understand irreducibility language like \"primitive\" in philosophy. Most philosophers seem to just use it as a sort of profound-sounding placeholder for when their personal creativity for explanation runs dry. No idea what it's meant to mean here, though."
          }
        ]
    }
