module Donate.Methods.Cardano exposing (..)

import Donate.Types exposing (..)


donateCardano : Donate
donateCardano =
    let
        name : String
        name =
            "Cardano"
    in
    { donateImage = formatName name
    , donateLink = "https://handle.me/thenutrivore"
    , donateName = name
    , donateFees = "0.17 ADA"
    , donatePreference = 6
    , donateFeatures =
        [ { free = Just False
          , subscriptions = Just False
          , openSource = Just True
          , fastPayments = Just True
          , userFriendly = Just False
          , anonymous = Just True
          , rewardTiers = Just False
          }
        ]
    , donatePros =
        [ { pro = "Blockchain-based peer-to-peer donations."
          }
        , { pro = "Open source, state-of-the-art cryptocurrency."
          }
        , { pro = "Extremely fast transactions."
          }
        , { pro = "Extremely minimal gas fees per transaction."
          }
        , { pro = "Decentralized cryptocurrency platform."
          }
        ]
    , donateCons =
        [ { con = "Less accessible for non-crypto users."
          }
        , { con = "Requires cryptocurrency knowledge."
          }
        , { con = "Volatile cryptocurrency market."
          }
        , { con = "Additional steps needed (wallet, exchange)."
          }
        ]
    }
